package com.yunzhi.liyuanhui.common;

import cn.binarywang.wx.miniapp.api.WxMaService;
import cn.binarywang.wx.miniapp.api.impl.WxMaServiceImpl;
import cn.binarywang.wx.miniapp.config.impl.WxMaDefaultConfigImpl;
import com.yunzhi.liyuanhui.config.WeixinConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class WxUtils {
    @Autowired
    private WeixinConfig config;

    private static WxMaService service;

    public WxUtils() {
        setService(config);
    }

    private void setService(WeixinConfig config) {
        WxMaDefaultConfigImpl conf = new WxMaDefaultConfigImpl();
        conf.setAppid(config.getMiniapp().getAppid());
        conf.setSecret(config.getMiniapp().getSecret());
        conf.setToken(config.getMiniapp().getToken());
        conf.setAesKey(config.getMiniapp().getAesKey());
        conf.setMsgDataFormat(config.getMiniapp().getMsgDataFormat());

        WxMaService service = new WxMaServiceImpl();
        service.setWxMaConfig(conf);
    }

    public WxMaService getService() {
        return service;
    }
}
